Package org.apache.tapestry5.internal.services

## Class AjaxComponentInstanceEventResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.AjaxComponentInstanceEventResultProcessor

- All Implemented Interfaces:
    `ComponentEventResultProcessor<Component>`

      public class AjaxComponentInstanceEventResultProcessor
      extends java.lang.Object
      implements ComponentEventResultProcessor<Component>

  Performs a partial page render based on a root component. If the component is actually a page, it will send an JSON reponse to rediret to the page.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AjaxComponentInstanceEventResultProcessor​(RequestPageCache cache, ComponentEventResultProcessor masterProcessor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(Component value)` | For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxComponentInstanceEventResultProcessor

          public AjaxComponentInstanceEventResultProcessor​(RequestPageCache cache,
                                                           @Ajax
                                                           ComponentEventResultProcessor masterProcessor)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(Component value)
                                  throws java.io.IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<Component>`
      Parameters:
        `value` - the value returned from a method
      Throws:
        `java.io.IOException`